// This file is part of ptt2dtr.
//
// ptt2dtr is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// ptt2dtr is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with ptt2dtr; if not, write to the Free Software
// Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

#pragma once

#include "afxwin.h"

// Cptt2dtrDlg dialog
class Cptt2dtrDlg : public CDialog
{
// Construction
public:
	Cptt2dtrDlg(CWnd* pParent = NULL);	// standard constructor
	int ShowError( LONG lError, LPCTSTR lptszMessage );
	void switchPTT( int fState );

// Dialog Data
	enum { IDD = IDD_PTT2DTR_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

// Implementation
protected:
	HICON m_hIcon;
	NOTIFYICONDATA m_hSysTrayIcon;
	CSerialWnd m_serialVirt;
	CSerialWnd m_serialReal;
	CSerialWnd m_serialSeparate;
	DWORD m_dwBytesRead;
	char m_szBuffer[255];
	CIniFile m_iniFile;
	CString m_sRealPort;
	CString m_sVirtPort;
	CString m_sSeparate;
	CString m_sBaudRate;
	CMenu m_trayMenu;
	HANDLE m_hServerThread;
	char m_nPTTPin;
	CString m_sRigType;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnClose();
	afx_msg void OnSize( UINT nType, int cx, int cy );
	BOOL PreTranslateMessage( MSG* pMsg );
	afx_msg void OnBnClickedCheck4();
	afx_msg LRESULT OnVirtSerialMsg( WPARAM wParam, LPARAM lParam );
	afx_msg LRESULT OnRealSerialMsg( WPARAM wParam, LPARAM lParam );
	CButton FiltEnChkBox;
	CButton ForwEnChkBox;
	afx_msg void voidOnBnClickedButton1();
	CButton PTTButton;
	void toggleServEnable( int fState );
	void toggleForwardEnable( int fState );
	afx_msg void OnBnClickedCheck5();
	afx_msg LRESULT onTrayNotify( WPARAM, LPARAM );
	afx_msg void OnShowWindow( BOOL bShow, UINT nStatus );
	CComboBox ComboRealPort;
	CComboBox ComboVirtualPort;
	afx_msg void OnBnClickedButton1();
	afx_msg void onSysTrayMenuShow();
	afx_msg void onSysTrayMenuClose();
	CComboBox ComboBaud;
	CEdit EditBoxPort;
	CEdit EditBoxPass;
	CButton ServEnabled;
	afx_msg void OnBnClickedCheck6();
	CComboBox ComboPTTPin;
	CButton ChkBoxSeparate;
	CComboBox ComboSeparate;
	afx_msg void OnBnClickedCheck2();
	afx_msg void OnCbnSelchangeCombo5();
	CComboBox ComboRigType;
	afx_msg void OnCbnSelchangeCombo6();
};
